Bug 116695 - Default icon theme for Gnome based desktop environments
Summary: Default icon theme for Gnome based desktop environments
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2018-03-29 15:11 UTC by Heiko Tietze
Modified: 2018-05-14 18:11 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-03-29 15:11:12 UTC
Currently, the default icon theme takes the fallback if the desktop environment is not KDE or Unity. Better we change this to Gnome and use Elementary instead of Breeze.

Ideally, we also remove the no longer supported DE tde and kde.
Comment 1 Heiko Tietze 2018-03-29 15:42:39 UTC
Patch at https://gerrit.libreoffice.org/#/c/52117/
Comment 2 Yousuf Philips (jay) (retired) 2018-03-31 15:51:14 UTC
Not really following this, as the fallback is tango when its not KDE or MacOS, but using elementary over tango isnt good, as tango is based on gnome's default Adwaita. When you say 'default icon theme for gnome based DEs', do you mean gtk based DEs, as we have many gtk based DEs that arent gnome?
Comment 3 Heiko Tietze 2018-04-01 19:17:14 UTC
With the recent patch for bug 90194 it's Colibre which is taken as fallback theme instead of Tango. And since Tango is not maintained we should aim to completely get rid of it. Elementary is the better option for the different gnome variants, including gtk2 and gtk3 (at the moment we have defined only Unity in the fallback strategy).
Comment 4 Adolfo Jayme 2018-04-02 03:33:07 UTC
While I agree with Jay that Tango is the best fit for GNOME, we should take into account that the elementary theme was started back in 2007 (at DeviantArt!) as a variation on GNOME, heavily inspired by the Tango guidelines — so it’s also fitting for GNOME, IMHO. Funnily enough, some members of the upstream elementary icon team have contributed to Adwaita, so both themes are more similar than dissimilar.
Comment 5 andreas_k 2018-04-03 17:01:35 UTC
From a maintainer point of view you can choose elementary. If someone will maintain tango than I would choose tango.
Comment 6 Samuel Mehrbrodt (CIB) 2018-04-04 09:19:08 UTC
Do we have svg versions for tango or elementary?
Comment 7 Tomaz Vajngerl 2018-04-04 09:23:48 UTC
We have SVG versions for elementary but only a few icons in tango are SVG.
Comment 8 Pedro 2018-04-04 10:26:13 UTC
I would definitely choose Elementary. It follows Gnome's and Elementary guidelines, and looks more modern than Tango.
Comment 9 andreas_k 2018-04-04 10:50:00 UTC
Elementary is full svg which may help when LO will switch to svg (hope soon)
Comment 10 Commit Notification 2018-04-04 18:50:47 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=803a3539975059d2fde5b0eab3e0850ba155368a

tdf#116695 Make Elementary the default on Gnome

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Heiko Tietze 2018-04-04 18:52:01 UTC
Gnome users: please verify with the nightly build starting tomorrow. Default should be Elementary, if you don't run one of the other themes.